
#before this shit gets called, worlds are set up, players teleported according to gamemode.

#apply settings
time set 1000
gamerule naturalRegeneration true
gamerule doMobSpawning true
gamerule spectatorsGenerateChunks false
gamerule keepInventory false
gamerule randomTickSpeed 5

execute if entity @e[tag=gMaster,scores={dCycle=0}] run gamerule doDaylightCycle false
execute if entity @e[tag=gMaster,scores={dCycle=1}] run gamerule doDaylightCycle true

execute if entity @e[tag=gMaster,scores={diff=1}] run difficulty easy
execute if entity @e[tag=gMaster,scores={diff=1}] run gamerule keepInventory true
execute if entity @e[tag=gMaster,scores={diff=1}] run gamerule doMobSpawning false
execute if entity @e[tag=gMaster,scores={diff=2}] run difficulty normal
execute if entity @e[tag=gMaster,scores={diff=3}] run difficulty hard
execute if entity @e[tag=gMaster,scores={diff=3}] run gamerule naturalRegeneration false

#setup players and specs
scoreboard players reset @a[tag=playing]
scoreboard players set @a[tag=playing] trader 5
tag @a remove dead
clear @a[tag=playing]
gamemode survival @a[tag=playing]
gamemode spectator @a[tag=!playing]
execute as @a[tag=playing] at @s run function ssg-2dmc:spawnpoint_player
tp @a[tag=!playing] @a[tag=playing,limit=1,sort=random]

effect give @a[tag=playing] minecraft:saturation 10 2 true
effect give @a[tag=playing] minecraft:resistance 10 255 true
effect give @a[tag=playing] minecraft:blindness 5 1 true
effect give @a[tag=playing] minecraft:glowing 10 1 true
effect give @a[tag=playing] minecraft:regeneration 10 10 true

execute as @a[tag=playing] at @s if biome ~ ~ ~ #minecraft:is_ocean run give @s birch_log{display:{Name:'{"text":"Life raft","italic":false}'}} 5
execute as @a[tag=playing] at @s if biome ~ ~ ~ #minecraft:desert run give @s birch_log{display:{Name:'{"text":"Drift wood","italic":false}'}} 5

tellraw @a [{"text":"[","color":"blue"},{"text":"2DMC","color":"aqua"},{"text":"] ","color":"blue"},{"text":"Removing excess dimensions...","color":"green"}]
execute if entity @e[tag=gMaster,scores={gmode=3}] run tellraw @a [{"text":"[","color":"blue"},{"text":"2DMC","color":"aqua"},{"text":"] ","color":"blue"},{"text":"Deathmatch starts in ","color":"red"},{"score":{"name":"@e[tag=gMaster]","objective":"timeSett"},"color":"aqua"},{"text":"min","color":"red"}]
execute if entity @e[tag=gMaster,scores={gmode=3}] run scoreboard objectives setdisplay sidebar battle
execute if entity @e[tag=gMaster,scores={gmode=3}] run scoreboard players display name in Battle {"text":"in","color":"blue"}

#game variables
scoreboard players set @e[tag=gMaster] timeLimit 60
scoreboard players operation @e[tag=gMaster] timeLimit *= @e[tag=gMaster] timeSett
scoreboard players set @e[tag=gMaster] tick 0
scoreboard players set @e[tag=gMaster] time 0
scoreboard players set @e[tag=gMaster] bedrock 0
#start gameTick
scoreboard players set @e[tag=gMaster] running 1